import { ColumnSchemaConfig } from 'orchid-core';
import { DefaultColumnTypes, DefaultSchemaConfig } from 'pqb';
export * from 'rake-db';

declare module 'rake-db' {
    interface RakeDbConfig<SchemaConfig extends ColumnSchemaConfig, CT = DefaultColumnTypes<DefaultSchemaConfig>> {
        dbPath?: string;
        dbExportedAs?: string;
        generateTableTo?(tableName: string): string;
    }
    interface InputRakeDbConfigBase<SchemaConfig extends ColumnSchemaConfig, CT> {
        dbPath?: string;
        dbExportedAs?: string;
        generateTableTo?(tableName: string): string;
    }
}
